<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>NFPsPackageImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NFPsPackageImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":9,"i24":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NFPsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NfpTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="NFPsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl</div>
<h2 title="Class NFPsPackageImpl" class="title">Class NFPsPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl.NFPsPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NFPsPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.NFPsPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>name, NAME_EDEFAULT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.NFPsPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#CONSTRAINT_KIND">CONSTRAINT_KIND</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION">DIMENSION</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION__BASE_DIMENSION">DIMENSION__BASE_DIMENSION</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION__BASE_ENUMERATION">DIMENSION__BASE_ENUMERATION</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION__BASE_EXPONENT">DIMENSION__BASE_EXPONENT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION__SYMBOL">DIMENSION__SYMBOL</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#DIMENSION_FEATURE_COUNT">DIMENSION_FEATURE_COUNT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP">NFP</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP__BASE_PROPERTY">NFP__BASE_PROPERTY</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_CONSTRAINT">NFP_CONSTRAINT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_CONSTRAINT__BASE_CONSTRAINT">NFP_CONSTRAINT__BASE_CONSTRAINT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_CONSTRAINT__KIND">NFP_CONSTRAINT__KIND</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_CONSTRAINT__MODE">NFP_CONSTRAINT__MODE</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_CONSTRAINT_FEATURE_COUNT">NFP_CONSTRAINT_FEATURE_COUNT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_FEATURE_COUNT">NFP_FEATURE_COUNT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE">NFP_TYPE</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE__BASE_DATA_TYPE">NFP_TYPE__BASE_DATA_TYPE</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE__EXPR_ATTRIB">NFP_TYPE__EXPR_ATTRIB</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE__TUPLE_ATTRIB">NFP_TYPE__TUPLE_ATTRIB</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE__UNIT_ATTRIB">NFP_TYPE__UNIT_ATTRIB</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE__VALUE_ATTRIB">NFP_TYPE__VALUE_ATTRIB</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#NFP_TYPE_FEATURE_COUNT">NFP_TYPE_FEATURE_COUNT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT">UNIT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT__BASE_ENUMERATION_LITERAL">UNIT__BASE_ENUMERATION_LITERAL</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT__BASE_UNIT">UNIT__BASE_UNIT</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT__CONV_FACTOR">UNIT__CONV_FACTOR</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT__CONV_OFFSET">UNIT__CONV_OFFSET</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#UNIT_FEATURE_COUNT">UNIT_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getConstraintKind--">getConstraintKind</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getDimension_Base_Enumeration--">getDimension_Base_Enumeration</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getDimension_BaseDimension--">getDimension_BaseDimension</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getDimension_BaseExponent--">getDimension_BaseExponent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getDimension_Symbol--">getDimension_Symbol</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getDimension--">getDimension</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfp_Base_Property--">getNfp_Base_Property</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfp--">getNfp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpConstraint_Base_Constraint--">getNfpConstraint_Base_Constraint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpConstraint_Kind--">getNfpConstraint_Kind</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpConstraint_Mode--">getNfpConstraint_Mode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpConstraint--">getNfpConstraint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNFPsFactory--">getNFPsFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpType_ExprAttrib--">getNfpType_ExprAttrib</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpType_UnitAttrib--">getNfpType_UnitAttrib</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpType_ValueAttrib--">getNfpType_ValueAttrib</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getNfpType--">getNfpType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getUnit_Base_EnumerationLiteral--">getUnit_Base_EnumerationLiteral</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getUnit_BaseUnit--">getUnit_BaseUnit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getUnit_ConvFactor--">getUnit_ConvFactor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getUnit_ConvOffset--">getUnit_ConvOffset</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#getUnit--">getUnit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.

 <p>
 This method is used to initialize <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eINSTANCE"><code>NFPsPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#eNS_URI"><code>NFPsPackage.eNS_URI</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfp</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getNfp()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfp--">getNfp</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Nfp</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Nfp.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>Nfp</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfp_Base_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfp_Base_Property</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfp_Base_Property()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfp_Base_Property--">getNfp_Base_Property</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Property</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Nfp.html#getBase_Property--"><code>Nfp.getBase_Property()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfp--"><code>NFPsPackage.getNfp()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getUnit()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit--">getUnit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Unit</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>Unit</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit_ConvFactor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit_ConvFactor</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getUnit_ConvFactor()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit_ConvFactor--">getUnit_ConvFactor</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Conv Factor</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html#getConvFactor--"><code>Unit.getConvFactor()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit--"><code>NFPsPackage.getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit_ConvOffset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit_ConvOffset</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getUnit_ConvOffset()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit_ConvOffset--">getUnit_ConvOffset</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Conv Offset</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html#getConvOffset--"><code>Unit.getConvOffset()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit--"><code>NFPsPackage.getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit_BaseUnit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit_BaseUnit</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getUnit_BaseUnit()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit_BaseUnit--">getUnit_BaseUnit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Unit</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html#getBaseUnit--"><code>Unit.getBaseUnit()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit--"><code>NFPsPackage.getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit_Base_EnumerationLiteral--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit_Base_EnumerationLiteral</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getUnit_Base_EnumerationLiteral()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit_Base_EnumerationLiteral--">getUnit_Base_EnumerationLiteral</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Enumeration Literal</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html#getBase_EnumerationLiteral--"><code>Unit.getBase_EnumerationLiteral()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getUnit--"><code>NFPsPackage.getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpConstraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpConstraint</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getNfpConstraint()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint--">getNfpConstraint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Nfp Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>NfpConstraint</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpConstraint_Kind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpConstraint_Kind</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getNfpConstraint_Kind()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint_Kind--">getNfpConstraint_Kind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html#getKind--"><code>NfpConstraint.getKind()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint--"><code>NFPsPackage.getNfpConstraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpConstraint_Base_Constraint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpConstraint_Base_Constraint</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfpConstraint_Base_Constraint()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint_Base_Constraint--">getNfpConstraint_Base_Constraint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html#getBase_Constraint--"><code>NfpConstraint.getBase_Constraint()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint--"><code>NFPsPackage.getNfpConstraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpConstraint_Mode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpConstraint_Mode</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfpConstraint_Mode()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint_Mode--">getNfpConstraint_Mode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Mode</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html#getMode--"><code>NfpConstraint.getMode()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpConstraint--"><code>NFPsPackage.getNfpConstraint()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpType</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getNfpType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType--">getNfpType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Nfp Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>NfpType</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpType_ValueAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpType_ValueAttrib</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfpType_ValueAttrib()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType_ValueAttrib--">getNfpType_ValueAttrib</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Value Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpType.html#getValueAttrib--"><code>NfpType.getValueAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType--"><code>NFPsPackage.getNfpType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpType_UnitAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpType_UnitAttrib</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfpType_UnitAttrib()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType_UnitAttrib--">getNfpType_UnitAttrib</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Unit Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpType.html#getUnitAttrib--"><code>NfpType.getUnitAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType--"><code>NFPsPackage.getNfpType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNfpType_ExprAttrib--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNfpType_ExprAttrib</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getNfpType_ExprAttrib()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType_ExprAttrib--">getNfpType_ExprAttrib</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Expr Attrib</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpType.html#getExprAttrib--"><code>NfpType.getExprAttrib()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNfpType--"><code>NFPsPackage.getNfpType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDimension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimension</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getDimension()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension--">getDimension</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Dimension</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Dimension.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>Dimension</code></a></dd>
</dl>
</li>
</ul>
<a name="getDimension_Symbol--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimension_Symbol</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getDimension_Symbol()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension_Symbol--">getDimension_Symbol</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Symbol</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Dimension.html#getSymbol--"><code>Dimension.getSymbol()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension--"><code>NFPsPackage.getDimension()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDimension_BaseDimension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimension_BaseDimension</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDimension_BaseDimension()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension_BaseDimension--">getDimension_BaseDimension</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Base Dimension</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Dimension.html#getBaseDimension--"><code>Dimension.getBaseDimension()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension--"><code>NFPsPackage.getDimension()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDimension_BaseExponent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimension_BaseExponent</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getDimension_BaseExponent()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension_BaseExponent--">getDimension_BaseExponent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Base Exponent</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Dimension.html#getBaseExponent--"><code>Dimension.getBaseExponent()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension--"><code>NFPsPackage.getDimension()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDimension_Base_Enumeration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDimension_Base_Enumeration</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getDimension_Base_Enumeration()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension_Base_Enumeration--">getDimension_Base_Enumeration</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Enumeration</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Dimension.html#getBase_Enumeration--"><code>Dimension.getBase_Enumeration()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getDimension--"><code>NFPsPackage.getDimension()</code></a></dd>
</dl>
</li>
</ul>
<a name="getConstraintKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConstraintKind</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EEnum&nbsp;getConstraintKind()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getConstraintKind--">getConstraintKind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>Constraint Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/ConstraintKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs"><code>ConstraintKind</code></a></dd>
</dl>
</li>
</ul>
<a name="getNFPsFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNFPsFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsFactory</a>&nbsp;getNFPsFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html#getNFPsFactory--">getNFPsFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NFPsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NFPsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package. This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model. This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NFPsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NfpTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/impl/NFPsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="NFPsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
